//---------------------------------------------------------------------------
// (c)Alex A. Trubetskoy            alextr438@yandex.ru
//---------------------------------------------------------------------------
#ifndef ListViewFilesH
#define ListViewFilesH
//---------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Classes.hpp>
#include <ComCtrls.hpp>
#include <Controls.hpp>
//---------------------------------------------------------------------------
class PACKAGE TListViewFiles : public TListView
{
private:
    AnsiString fDir;
    char fDrive;
    TImageList* pImageList;

    void __fastcall searchFiles();
    void __fastcall addItem(TSearchRec& srec);
    void __fastcall setDir(AnsiString dir);
    AnsiString __fastcall getDir()const;
    void __fastcall setDrive(char drive);
    char __fastcall getDrive()const;
    AnsiString __fastcall getFilePath()const;
    AnsiString __fastcall getFileName()const;
    bool __fastcall isDirSel()const;
    AnsiString getDirPath(AnsiString)const;

protected:
public:
    // the current directory
    __property AnsiString Directory = { read=getDir, write=setDir };
    // the current drive
    __property char Drive = { read=getDrive, write=setDrive };
    // the selected item's path and name
    __property AnsiString FileName = { read=getFilePath };
    // true if the selected item is directory
    __property bool IsDirSelected = { read=isDirSel };
    // name of the selected file or directory
    __property AnsiString OnlyFileName = { read=getFileName };
    
    __fastcall TListViewFiles(TComponent* Owner);
    __fastcall ~TListViewFiles();
    void __fastcall UpdateData();
    AnsiString getPathOfItem(TListItem*)const;
    AnsiString getNameOfItem(TListItem* pItem)const;
    bool __fastcall isDirectory(AnsiString)const;
__published:
};
//---------------------------------------------------------------------------
#endif
